manager = ScriptEngineManager()
rse=RexxScriptEngine manager.getEngineByName("Rexx")
do
   filename="RexxScript_T05G01.rex"
   b=rse.getContext().getBindings(ScriptContext.ENGINE_SCOPE)
   if b=null then b=rse.createBindings()
   b.put(ScriptEngine.FILENAME,String filename)

   say "(RexxScriptingEngine) executing ["filename"] fetching resulting ooRexx object:"
   rp=RexxProxy rse.eval(FileReader(String filename), b) 
   say "(RexxScriptingEngine) using invokeMethod() using the <RexxScriptEngine>:\n"
   say "(RexxScriptingEngine) invokeMethod('one'):" rse.invokeMethod(rp, "ONE", null)
   say "(RexxScriptingEngine) invokeMethod('two'):" rse.invokeMethod(rp, "two", ["un", "deux", "trois"])
   say "(RexxScriptingEngine) invokeMethod('now'):" rse.invokeMethod(rp, "now", null)
   say "---\n"
   say "(RexxScriptingEngine) using invokeFunction() using the <RexxScriptEngine>:\n"
   say "(RexxScriptingEngine) invokeFunction('routine_eins'):" rse.invokeFunction("ROUTINE_EINS", null)
   say "(RexxScriptingEngine) invokeFunction('routine_zwei'):" rse.invokeFunction("routine_zwei", ["eins", "zwei", "drei"])
   say "---\n"

   rcs=rse.getCurrentScript()

   say "(RexxScriptingEngine) using invokeMethod() using the the <RexxCompiledScript> directly:\n"
   say "(RexxScriptingEngine) invokeMethod('one'): "rcs.invokeMethod(rp, "ONE", null)
   say "(RexxScriptingEngine) invokeMethod('two'): "rcs.invokeMethod(rp, "two", ["un", "deux", "trois"])
   say "(RexxScriptingEngine) invokeMethod('now'): "rcs.invokeMethod(rp, "now", null)
   say "---\n"

   say "(RexxScriptingEngine) using invokeFunction() using the the <RexxCompiledScript> Rexx script> directly:\n"
   say "(RexxScriptingEngine) invokeFunction('routine_eins'):" rcs.invokeFunction("ROUTINE_EINS", null)
   say "(RexxScriptingEngine) invokeFunction('routine_zwei'):" rcs.invokeFunction("routine_zwei", ["eins", "zwei", "drei"])
   say "---\n"

catch exc=Exception
   say exc
   System.exit(-1)
end
System.exit(0)