#!/usr/bin/env rexx
parse source  . . pgm
call directory filespec('L', pgm) 

rxApp=.RexxApplication~new
jrxApp=BSFCreateRexxProxy(rxApp, ,"javafx.application.Application")
jrxApp~launch(jrxApp~getClass, .nil)

::requires "BSF.CLS"   
::class RexxApplication

::method start
  use arg primaryStage
  primaryStage~setTitle("Hello JavaFX from ooRexx! (Green Version)")

  fxmlUrl=.bsf~new("java.net.URL", "file:myfirst.fxml")
  rootNode=bsf.loadClass("javafx.fxml.FXMLLoader")~load(fxmlUrl)

  scene=.bsf~new("javafx.scene.Scene", rootNode)
  primaryStage~setScene(scene)
  primaryStage~show
